Перейти к публикации

megopixapb

Пользователи
  • Публикации

    10
  • Зарегистрирован

  • Посещение

Репутация

-1 Плохой

О megopixapb

  • Звание
    Новичок
  1. megopixapb

    биткоин кошелек синхронизация

    В общем если биткоин запускается демоном то как бы я не старался постоянно incorrect rpcuser or rpcpassword, если просто запустить bitcoind без скрипта автозагрузки - то все работает отлично (bitcoin-cli) ошибок нет. В чем косяк? кто знает? причем когда запуск демоном то рабочий каталог получается /home/alex/.bitcoin/ .. тут debug и тд , если не демоном запускать то каталог рабочий будет .bitcoin/ вот скрипт автозапуска #! /bin/sh ### BEGIN INIT INFO # Provides: bitcoind # Required-Start: $network $local_fs # Required-Stop: $remote_fs # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Auto init bitcoind # Description: Auto init bitcoind via booting system # placed in /etc/init.d. ### END INIT INFO # Author: Wzor <[email protected]> # # Please remove the "Author" lines above and replace them # with your own name if you copy and modify this script. # Do NOT "set -e" # PATH should only include /usr/* if it runs after the mountnfs.sh script PATH=/sbin:/usr/sbin:/bin:/usr/bin DESC="Bitcoin daemon" NAME=/usr/bin/bitcoind DAEMON=$NAME DAEMON_ARGS="-daemon" CLI=/usr/bin/bitcoin-cli DAEMON_LOADER=$DAEMON PIDFILE=/var/run/$NAME.pid SCRIPTNAME=/etc/init.d/$NAME CHUID=alex:alex # Exit if the package is not installed [ -x "$DAEMON" ] || exit 0 # Read configuration variable file if it is present [ -r /etc/default/$NAME ] && . /etc/default/$NAME # Load the VERBOSE setting and other rcS variables . /lib/init/vars.sh # Define LSB log_* functions. # Depend on lsb-base (>= 3.2-14) to ensure that this file is present # and status_of_proc is working. . /lib/lsb/init-functions # # Function that starts the daemon/service # do_start() { # Return # 0 if daemon has been started # 1 if daemon was already running # 2 if daemon could not be started start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \ || return 1 start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \ $DAEMON_ARGS \ || return 2 # Add code here, if necessary, that waits for the process to be ready # to handle requests from services started subsequently which depend # on this one. As a last resort, sleep for some time. } # # Function that stops the daemon/service # stop_daemon_by_cli() { #[ ! -e "$PIDFILE" ] && echo "$DESC not running!" && return 0 start-stop-daemon --start --chuid $CHUID --exec $CLI -- -rpcwait stop return 0 } do_stop() { # Return # 0 if daemon has been stopped # 1 if daemon was already stopped # 2 if daemon could not be stopped # other if a failure occurred stop_daemon_by_cli start-stop-daemon --stop --quiet --chuid $CHUID --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $NAME RETVAL="$?" [ "$RETVAL" = 2 ] && return 2 # Wait for children to finish too if this is a daemon that forks # and if the daemon is only ever run from this initscript. # If the above conditions are not satisfied then add some other code # that waits for the process to drop all resources that could be # needed by services started subsequently. A last resort is to # sleep for some time. start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON [ "$?" = 2 ] && return 2 # Many daemons don't delete their pidfiles when they exit. rm -f $PIDFILE return "$RETVAL" } # # Function that sends a SIGHUP to the daemon/service # do_reload() { # # If the daemon can reload its configuration without # restarting (for example, when it is sent a SIGHUP), # then implement that here. # start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME return 0 } case "$1" in start) [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME" do_start case "$?" in 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; esac ;; stop) [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME" do_stop case "$?" in 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; esac ;; status) status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $? ;; #reload|force-reload) # # If do_reload() is not implemented then leave this commented out # and leave 'force-reload' as an alias for 'restart'. # #log_daemon_msg "Reloading $DESC" "$NAME" #do_reload #log_end_msg $? #;; restart|force-reload) # # If the "reload" option is implemented then remove the # 'force-reload' alias # log_daemon_msg "Restarting $DESC" "$NAME" do_stop case "$?" in 0|1) do_start case "$?" in 0) log_end_msg 0 ;; 1) log_end_msg 1 ;; # Old process is still running *) log_end_msg 1 ;; # Failed to start esac ;; *) # Failed to stop log_end_msg 1 ;; esac ;; *) #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2 echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2 exit 3 ;; esac :
  2. megopixapb

    биткоин кошелек синхронизация

    не находит debug.log , нету его походу. нашел только от unobtanium , искал поиском. извиняюсь, нащел -/home/alex/.bitcoin/debug.log
  3. Добрый день, подскажите как на ubuntu понять , что кошелек синхронизировался или еще в процессе? любые команды к bitcoin-cli выдают ошибку авторизации: incorrect rpcuser or rpcpassword (authorization failed) Если кошелек не синхронизировался то должны ли восприниматься команды? или он не обрабатывает команды пока не синхронизируется\ полностью?
  4. megopixapb

    Пул, что нужно?

    при запуске unobtanium ошибка - initializing wallet database environment /root/.unobtanium! Как ее решить кто знает?
  5. megopixapb

    Пул, что нужно?

    нашел, делаю по 1. думал может еще есть помимо этих мануалов. https://forum.bits.media/index.php?/blog/194/entry-338-sozdanie-sobstvennoi-nody-p2pool-bitcoin-s-obedinennym-ma/ https://forum.bits.media/index.php?/blog/194/entry-370-sozdanie-sobstvennogo-pula-unompmposmerged-mining/
  6. megopixapb

    Пул, что нужно?

    Да, конечно))))))))))))
  7. megopixapb

    Пул, что нужно?

    ссылками кто заделится?
  8. megopixapb

    Пул, что нужно?

    не просто так им инет отрублен))) в настройке не нуждаюсь. не могу им инет дать(доступ к внешнему пулу)
  9. megopixapb

    Пул, что нужно?

    Есть ссылка на рус гайд, для создания пула? А если на этом пуле моих пк где-то от 100 + будет крутиться, то норм будет?
  10. megopixapb

    Пул, что нужно?

    Всем привет, есть много пк в сети, у многих нет доступа к интернету, майню с помощью nheqminer. Как мне сделать так чтоб все компы обращались к одному серваку в локалке, и этот сервак уже передавал мощи дальше? Для этого нужно свой пул сделать?
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу.

×